This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 447177 - rpmbuild fails on a spec with a leading comment line
rpmbuild fails on a spec with a leading comment line
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Panu Matilainen
:
Depends On: 454887
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-18 11:26 EDT by Nicolas Mailhot
Modified: 2009-01-20 15:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:49:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-05-18 11:26:54 EDT
Description of problem:

rpmbuild fails on this spec file on koji
http://cvs.fedoraproject.org/viewcvs/*checkout*/devel/xgridfit/xgridfit.spec?rev=1.4

rpmbuild --define "_sourcedir
/tmp/koji/tasks/615927/scmroot/rpms/xgridfit/devel" --define "_specdir
/tmp/koji/tasks/615927/scmroot/rpms/xgridfit/devel" --define "_builddir
/tmp/koji/tasks/615927/scmroot/rpms/xgridfit/devel" --define "_srcrpmdir
/tmp/koji/tasks/615927/scmroot/rpms/xgridfit/devel" --define "_rpmdir
/tmp/koji/tasks/615927/scmroot/rpms/xgridfit/devel" --define "dist .fc10"
--define "fedora 10" --define "dist .fc10" --define "fedora 10" --nodeps -bs
xgridfit.spec error: File
/tmp/koji/tasks/615927/scmroot/rpms/xgridfit/devel/xgridfit.spec does not appear
to be a specfile. 

mbonnet reproduced the failure on a RHEL 5 box

It seems rpmbuild is confused by the leading comment. Later rpm versions like 
rpm-4.4.2.3-2.fc9.x86_64 are smarter
Comment 1 Panu Matilainen 2008-08-14 01:53:06 EDT
If 4.4.2.3-2.fc9 works, then this gets fixed by the rpm rebase.
Comment 2 RHEL Product and Program Management 2008-08-14 02:01:29 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 errata-xmlrpc 2009-01-20 15:49:34 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0079.html

Note You need to log in before you can comment on or make changes to this bug.